Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Fixture Class Reference
Inheritance diagram for Fixture:

## Public Member Functions
| __init__ (self, id, parent, pos, hpr, fov)
| __str__ (self)
| adjustFov (self, x, y)
| defaultFilter (self, request, args)
| enterBlinking (self)
| enterOff (self)
| enterRecording (self)
| enterStandby (self)
| enterUsing (self, args=[])
| exitBlinking (self)
| exitOff (self)
| exitRecording (self)
| exitUsing (self)
| getFov (self)
| getScaleIval (self)
| pack (self)
| setFov (self, fov)
| setId (self, id)
| setRecordingInProgress (self, inProgress)
| setState (self, state)
| setupFrustum (self)
| show (self)
Public Member Functions inherited from FSM
| __init__ (self, name)
| __repr__ (self)
| __str__ (self)
| cleanup (self)
| defaultEnter (self, *args)
| defaultExit (self)
| demand (self, request, *args)
| filterOff (self, request, args)
| forceTransition (self, request, *args)
| getCurrentFilter (self)
| getCurrentOrNextState (self)
| getCurrentStateOrTransition (self)
| getStateChangeEvent (self)
| isInTransition (self)
| request (self, request, *args)
| requestNext (self, *args)
| requestPrev (self, *args)
| setBroadcastStateChanges (self, doBroadcast)
| setStateArray (self, stateArray)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
| adjustFov
bool | dirty = False
| id = id
| lens = PerspectiveLens()
bool | recordingInProgress = False
| scaleIval = None
| setRecordingInProgress
Public Attributes inherited from FSM
| demand
| forceTransition
| fsmLock = RLock()
| newState
str | oldState = None
str | state = 'Off'
list | stateArray = []

## Additional Inherited Members
Static Public Attributes inherited from FSM
| defaultTransitions = None
| notify = DirectNotifyGlobal.directNotify.newCategory("FSM")
int | SerialNum = 0
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from FSM
bool | _broadcastStateChanges = False
| _name = name
int | _serialNum = FSM.SerialNum
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | id,
|  |  | parent,
|  |  | pos,
|  |  | hpr,
|  |  | fov )

## Member Function Documentation

## ◆ __str__()

__str__ | ( |  | self | ) |

## ◆ adjustFov()

adjustFov | ( |  | self,
|  |  | x,
|  |  | y )

## ◆ defaultFilter()

defaultFilter | ( |  | self,
|  |  | request,
|  |  | args )

    This is the function that is called if there is no
    filterState() method for a particular state name.

    This default filter function behaves in one of two modes:

    (1) if self.defaultTransitions is None, allow any request
    whose name begins with a capital letter, which is assumed to
    be a direct request to a particular state.  This is similar to
    the old ClassicFSM onUndefTransition=ALLOW, with no explicit
    state transitions listed.

    (2) if self.defaultTransitions is not None, allow only those
    requests explicitly identified in this map.  This is similar
    to the old ClassicFSM onUndefTransition=DISALLOW, with an
    explicit list of allowed state transitions.

    Specialized FSM's may wish to redefine this default filter
    (for instance, to always return the request itself, thus
    allowing any transition.).

Reimplemented from FSM.

## ◆ enterBlinking()

enterBlinking | ( |  | self | ) |

## ◆ enterOff()

enterOff | ( |  | self | ) |

## ◆ enterRecording()

enterRecording | ( |  | self | ) |

## ◆ enterStandby()

enterStandby | ( |  | self | ) |

## ◆ enterUsing()

enterUsing | ( |  | self,
|  |  | args = [] )

## ◆ exitBlinking()

exitBlinking | ( |  | self | ) |

## ◆ exitOff()

exitOff | ( |  | self | ) |

## ◆ exitRecording()

exitRecording | ( |  | self | ) |

## ◆ exitUsing()

exitUsing | ( |  | self | ) |

## ◆ getFov()

getFov | ( |  | self | ) |

## ◆ getScaleIval()

getScaleIval | ( |  | self | ) |

## ◆ pack()

pack | ( |  | self | ) |

## ◆ setFov()

setFov | ( |  | self,
|  |  | fov )

    fov should be a VBase2.  Use VBase2(0) to indicate default.

## ◆ setId()

setId | ( |  | self,
|  |  | id )

## ◆ setRecordingInProgress()

setRecordingInProgress | ( |  | self,
|  |  | inProgress )

## ◆ setState()

setState | ( |  | self,
|  |  | state )

## ◆ setupFrustum()

setupFrustum | ( |  | self | ) |

## ◆ show()

show | ( |  | self | ) |

## Member Data Documentation

## ◆ adjustFov

adjustFov

## ◆ dirty

bool dirty = False

## ◆ id

id = id

## ◆ lens

lens = PerspectiveLens()

## ◆ recordingInProgress

bool recordingInProgress = False

## ◆ scaleIval

scaleIval = None

## ◆ setRecordingInProgress

setRecordingInProgress